ApiSaml
POST
/v1/auth/saml/authorize

Authorization

Descope Project ID
AuthorizationBearer <token>

Project ID as bearer token.

In: header

Query Parameters

tenant?string
redirectUrl?string
prompt?array<string>
string
test?boolean
forceAuthn?boolean
loginHint?string
initiatedEmail?string

Request Body

application/json

stepup?boolean
Defaultfalse
customClaims?object

Custom claims to include in the JWT as key-value pairs. Keys must be strings; values can be strings, numbers, or booleans.

Example{ "claim-name": "claim-value" }
mfa?boolean
Defaultfalse
ssoAppId?string
templateOptions?object
locale?string
pkceChallenge?string

relevant only for enchanted links in the point in time - other methods will ignore this field

Formatbytes
revokeOtherSessions?boolean
revokeOtherSessionsTypes?array<string>
string

Creating SAML redirect URI

curl -X POST "https://api.descope.com/v1/auth/saml/authorize" \  -H "Content-Type: application/json" \  -d '{}'
{  "url": "string"}
export interface Response {url?: string}
Was this helpful?